- Qt 6.5
- Qt 3D
- C++ Classes
- Qt3DCore
- QBackendNode
- Qt 6.5.1 Reference Documentation

# QBackendNode Class

class Qt3DCore::QBackendNode

The base class for all Qt3D backend nodes. More...

Header: | #include <Qt3DCore/QBackendNode>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3dcore) target_link_libraries(mytarget PRIVATE Qt6::3dcore)
qmake: | QT += 3dcore

- List of all members, including inherited members

## Public Types

enum | Mode { ReadOnly, ReadWrite }

## Public Functions

bool | isEnabled() const
Qt3DCore::QBackendNode::Mode | mode() const
Qt3DCore::QNodeId | peerId() const
void | setEnabled(bool enabled)
virtual void | syncFromFrontEnd(const Qt3DCore::QNode *frontEnd, bool firstTime)

## Detailed Description

## Member Type Documentation

### enum QBackendNode::Mode

The mode for the backend node.

Constant | Value
--- | ---
`Qt3DCore::QBackendNode::ReadOnly` | `0`
`Qt3DCore::QBackendNode::ReadWrite` | `1`

## Member Function Documentation

### bool QBackendNode::isEnabled() const

Returns `true` if the backend node is enabled.

### Qt3DCore::QBackendNode::Mode QBackendNode::mode() const

Returns the mode of the backend mode.

### Qt3DCore::QNodeId QBackendNode::peerId() const

Returns the peer id of the backend node.

### void QBackendNode::setEnabled(bool enabled)

Enables or disables the backend node by enabled.

See also isEnabled().

### `[virtual]` void QBackendNode::syncFromFrontEnd(const Qt3DCore::QNode *frontEnd, bool firstTime)

QBackendNode::syncFromFrontEnd frontEnd firstTime

This is called by the aspect when a frontEnd node needs to synchronize it's changes with the backend (normally due to property changes).

firstTime will be true if the backend node was just created